$ ! File: build_dpa_all_asn.com , Version 1.0, 09-Aug-1993
$ ! 
$ ! Command file to compile/build the DPA_ALL.ASN module
$ !
$ ! This command file maps 1-1 to the IBM P3I makefile.asn1 
$ !
$ ! Implicit Input:
$ !      All files from the ASN group in the P3I CMS library
$ !     CMS FETCH ASN1HDR.H 
$ ! Output:
$ !      DPA_ALL.LST    (from DPA_ALL.ASN)
$ !      DPA_ALL.H      (from DPA_ALL.ASN)
$ !      DPA_ALL.C      
$ !      DPA_ALL.OBJ    (from DPA_ALL.C)
$ !
$ ASN == "$SYS$COMMON:[SYSEXE]ASN1.EXE"
$ EDIT == "EDIT"
$ !
$ !  
$ ! unneeded ?? 
$ !-sup 64W -      ! Suppress warnings assuming id-val-xxx is 'global-form'
$ ASN -
-sort -
-sup 79I -      ! Suppress "tag xxx is EXPLICIT (26.10 of ISO 8824)"
-sup 256W -     ! Suppress warnings from ABSTRACT-BIND/UNBIND macros
-v -            ! verbose, display compilation progress messages
-l dpa_all.lst -  ! list, produces DPA_ALL.LST
-nouniq -       ! don't check that pdu id's are unique
-short -        ! shortennames
-C++ -
-prefix "PD" -    
-cont dpa_all.c - 
-h dpa_all.h -  
-externalname dpa_all -
dpa_all - 
iso_rose -
iso_abs -
iso_dor -
iso_font -
iso_info -
iso_mts -
iso_sel -
iso_use -
dpa_0d -
dpa_0a -
dpa_0b -
dpa_0c 
$ !
$ !******************************************************************************
$ ! Now we have to post-process the H file 
$ ! 
$ !    1. Substitute Boolean_ASN1 for Boolean type to work-around 
$ !       name conflict in the ASN1HDR.H file provided with the OSS compiler
$ !       and our own definition of Boolean in our portdefs.h file.
$ !       We do this automagically below.
$ EDIT/EDT/NOCOMMAND dpa_all.h 
substitute/ Boolean / Boolean_ASN1 /whole/notype
exit
$ !
$ !    2. Add #ifndefs around file to prevent multiple inclusion.
$ !       We do this automagically below.
$ EDIT/EDT/NOCOMMAND dpa_all.h 
insert ;#ifndef DPA_ALL_HDR
insert ;#define DPA_ALL_HDR
insert end;#endif
exit
$ !
$ set noverify         ! we are typing the instructions 
$ type sys$input 

    THE DPA_ALL.H FILE WILL NOT COMPILE AS IS. YOU NOW HAVE TO HAND-EDIT 
    THE DPA_ALL.H FILE AS DECRIBED BELOW TO FIX THE FOLLOWING ERRORS. 
    ALL INSTRUCTIONS ARE IN UPPERCASE. 

    1. MOVE THE "typedef struct PDInfrmtnFrmwrk_RltvDstngshdNm_" BEFORE THE 
       "typedef struct PDInfrmtnFrmwrk_RDNSequence_" AS SHOWN BELOW:

typedef struct PDInfrmtnFrmwrk_RltvDstngshdNm_ {
    struct PDInfrmtnFrmwrk_RltvDstngshdNm_ *next;
    PDInfrmtnFrmwrk_AttrbtVlAssrtn _value;
} *PDInfrmtnFrmwrk_RltvDstngshdNm;

typedef struct PDInfrmtnFrmwrk_RDNSequence_ {
    struct PDInfrmtnFrmwrk_RDNSequence_ *next;
     struct PDInfrmtnFrmwrk_RltvDstngshdNm_ *_value;
} *PDInfrmtnFrmwrk_RDNSequence; 


    2. MOVE THE  "typedef struct PDDPAASc_RltvDstngshdNm_" BEFORE THE 
       "typedef struct PDDPAAbstrctSrvc_RDNSqnc_" AS SHOWN BELOW:


typedef struct PDDPAASc_RltvDstngshdNm_ {
    struct PDDPAASc_RltvDstngshdNm_ *next;
    PDNameComponent _value;
} *PDDPAASc_RltvDstngshdNm;

typedef struct PDDPAAbstrctSrvc_RDNSqnc_ {
    struct PDDPAAbstrctSrvc_RDNSqnc_ *next;
    struct PDDPAASc_RltvDstngshdNm_ *_value;
} *PDDPAAbstrctSrvc_RDNSqnc;

typedef struct PDDPAAbstrctSrvc_RDNSqnc_ *PDDPAAbstrctSrvc_DstngshdNm;


    3. ADD THE FOLLOWING 3 LINES BEFORE THE LINE THAT STARTS 
       "typedef struct PDFilter {" AS SHOWN BELOW:

/* Add forward declares */            /* added line */
struct PD_setof6_;                    /* added line */
struct PD_setof5_;                    /* added line */

typedef struct PDFilter {

$ !
$ !
$ INQUIRE CONT "Press return when done editing - we then will compile the DPA_ALL.C FILE" 
$ !
$ set verify
$ ! Reassign CXX symbol to be nothing, if it was set
$ CXX == "cxx"
$ !
$ CXX DPA_ALL.C
$ ! 
